import { EditorState } from "./state";
import { Transaction, TransactionSpec } from "./transaction";
import { Facet } from "./facet";
export declare const languageData: Facet<(state: EditorState, pos: number, side: -1 | 0 | 1) => readonly {
    [name: string]: any;
}[], readonly ((state: EditorState, pos: number, side: -1 | 0 | 1) => readonly {
    [name: string]: any;
}[])[]>;
export declare type StateCommand = (target: {
    state: EditorState;
    dispatch: (transaction: Transaction) => void;
}) => boolean;
export declare const allowMultipleSelections: Facet<boolean, boolean>;
export declare const lineSeparator: Facet<string, string | undefined>;
export declare const changeFilter: Facet<(tr: Transaction) => boolean | readonly number[], readonly ((tr: Transaction) => boolean | readonly number[])[]>;
export declare const transactionFilter: Facet<(tr: Transaction) => TransactionSpec | readonly TransactionSpec[], readonly ((tr: Transaction) => TransactionSpec | readonly TransactionSpec[])[]>;
export declare const transactionExtender: Facet<(tr: Transaction) => Pick<TransactionSpec, "effects" | "annotations"> | null, readonly ((tr: Transaction) => Pick<TransactionSpec, "effects" | "annotations"> | null)[]>;
export declare const readOnly: Facet<boolean, boolean>;
